org.apache.lucene.search.vectorhighlight

## Class SimpleFragmentsBuilder

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder
  - - org.apache.lucene.search.vectorhighlight.SimpleFragmentsBuilder

- All Implemented Interfaces:
    FragmentsBuilder

      public class SimpleFragmentsBuilder
      extends BaseFragmentsBuilder

  A simple implementation of FragmentsBuilder.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder

      `COLORED_POST_TAGS, COLORED_PRE_TAGS, postTags, preTags`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleFragmentsBuilder()` a constructor.
    `SimpleFragmentsBuilder(BoundaryScanner bs)`
    `SimpleFragmentsBuilder(String[] preTags, String[] postTags)` a constructor.
    `SimpleFragmentsBuilder(String[] preTags, String[] postTags, BoundaryScanner bs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FieldFragList.WeightedFragInfo>` | `getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)` do nothing.

    - ### Methods inherited from class org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder

      `createFragment, createFragment, createFragments, createFragments, discreteMultiValueHighlighting, getFields, getFragmentSource, getFragmentSourceMSO, getMultiValuedSeparator, getPostTag, getPostTag, getPreTag, getPreTag, isDiscreteMultiValueHighlighting, makeFragment, setDiscreteMultiValueHighlighting, setMultiValuedSeparator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleFragmentsBuilder

          public SimpleFragmentsBuilder()

      a constructor.

    - #### SimpleFragmentsBuilder

          public SimpleFragmentsBuilder(String[] preTags,
                                        String[] postTags)

      a constructor.
      Parameters:
        `preTags` - array of pre-tags for markup terms.
        `postTags` - array of post-tags for markup terms.

    - #### SimpleFragmentsBuilder

          public SimpleFragmentsBuilder(BoundaryScanner bs)

    - #### SimpleFragmentsBuilder

          public SimpleFragmentsBuilder(String[] preTags,
                                        String[] postTags,
                                        BoundaryScanner bs)

  - ### Method Detail

    - #### getWeightedFragInfoList

          public List<FieldFragList.WeightedFragInfo> getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)

      do nothing. return the source list.
      Specified by:
        `getWeightedFragInfoList` in class `BaseFragmentsBuilder`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.